varying mediump vec2 texCoords;

#if defined(VERTEX_SHADER)


attribute vec3 vertPos;
attribute vec3 vertColor;

attribute vec2 texCoords0;

uniform mat4 viewMat;
uniform mat4 projMat;
uniform mat4 worldMat;
void main()
{
    texCoords = texCoords0;
	gl_Position = vec4(vertPos, 1.0);
    
}

#endif
#if defined(FRAGMENT_SHADER)

uniform sampler2D tex0;
uniform sampler2D tex1;
uniform sampler2D tex2;

uniform lowp vec4 meshColor;

void main()
{
    gl_FragColor = texture2D(tex0, texCoords);

    //gl_FragColor = vec4(1.0, 0.0, 1.0, 1.0);    
}
    

#endif